%define api_version 2.3
%define pkg_name geronimo-corba_%{api_version}_spec

Name:          geronimo-corba-2.3-api
Version:       1.1
Release:       %mkrel 1
Summary:       Geronimo CORBA 2.3 Spec
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
Source0:       geronimo-spec-corba-2.3-src-svn.tar.gz
Patch0:        geronimo-corba-2.3-api-pom_xml.patch
BuildRequires: avalon-logkit
BuildRequires: geronimo-parent-poms
BuildRequires: jacorb
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: idlj-maven-plugin
BuildRequires: plexus-compiler
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo CORBA 2.3 Spec.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo CORBA 2.3 Spec.

This package contains javadoc for %{name}.

%prep
%setup -q -n geronimo-spec-corba-%{api_version}
%patch0 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=logkit \
  -DartifactId=logkit \
  -Dversion=2.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath avalon-logkit) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.codehaus.mojo\
  -DartifactId=idlj-maven-plugin \
  -Dversion=1.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath idlj-maven-plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=plexus\
  -DartifactId=plexus-compiler-api \
  -Dversion=1.5 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath plexus/compiler-api) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.jacorb \
  -DartifactId=jacorb-idl-compiler \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath jacorb/idl) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL
  
mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-corba-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-corba-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-corba-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-corba-%{api_version}-api-%{version}.jar geronimo-corba-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-corba-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-corba-%{api_version}-api-%{version}
ln -s geronimo-corba-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-corba-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-corba-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-corba-2.3-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-corba-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-corba-%{api_version}-api



%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139106
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-corba-2.3-api


* Tue Jul 19 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

